Bug 462181 - Review Request: teeworlds - Online multi-player platform 2D shooter
Review Request: teeworlds - Online multi-player platform 2D shooter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 469492 469972 478581
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 10:42 EDT by Simon
Modified: 2009-01-08 10:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 10:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2008-09-13 10:42:21 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/teeworlds-0.4.3/teeworlds.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/teeworlds-0.4.3/teeworlds-0.4.3-1.fc9.src.rpm

Description: 
The game features cartoon-themed graphics and physics, 
and relies heavily on classic shooter weaponry and gameplay. 
The controls are heavily inspired by the FPS genre of computer games
Comment 1 Simon 2008-09-18 12:30:55 EDT
updated SPEC to 0.4.3-2

Spec URL:
http://cassmodiah.fedorapeople.org/teeworlds-0.4.3/teeworlds.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/teeworlds-0.4.3/teeworlds-0.4.3-2.fc9.src.rpm

I added Teeworlds as License [1]


Some ideas:
- exclude bam in an extra package
- replace lua included in bam with lua from the fedora
- replace zlib included in teeworlds with zlib from the fedora
- replace wavpack included in teeworlds with wavpack from the fedora
- replace portaudio included in teeworlds with portaudio from the fedora
- create pnglite[2] as extra package and include it as dependency
- create glfw[3] as extra package and include it as dependency

please give me feedback! ^^^


[1] https://www.redhat.com/archives/fedora-legal-list/2008-September/msg00019.html
[2] http://www.karlings.com/~danne/pnglite/
[3] http://glfw.sourceforge.net/
Comment 2 Lubomir Rintel 2008-09-28 03:41:43 EDT
Hi! I did package teewars (at the time it had a bad license so I never submitted it into fedora). Here's my package, in case you'll be interested in it (Unfortunately I lost the bam package):

http://netbsd.sk/~lkundrak/teewars/

(In reply to comment #1)

> Some ideas:
> - exclude bam in an extra package
> - replace lua included in bam with lua from the fedora
> - replace zlib included in teeworlds with zlib from the fedora
> - replace wavpack included in teeworlds with wavpack from the fedora
> - replace portaudio included in teeworlds with portaudio from the fedora
> - create pnglite[2] as extra package and include it as dependency
> - create glfw[3] as extra package and include it as dependency
> 
> please give me feedback! ^^^

I consider all of these to be good ideas. Please go ahead and do that. Feel free to ask if you need any help (e.g. packing and/or with reviewing of the dependencies).
Comment 3 Lubomir Rintel 2008-09-28 03:52:07 EDT
1.) Sane description

Please remove the first line of %description, you duplicate Summary:

2.) Dependencies on data package

Shouldn't dependencies of data package on code and vice versa be versioned?

3.) Please do not do the following:

find -name '*.c' -o -name '*.cpp' -exec sed -i 's:data/:%{_datadir}/%{name}/:g' datasrc/data.ds {} \;

Replace that with a patch.

4.) Preserving a timestamp of readme.txt while doing the conversion to utf8 might be a good idea.

5.) Use macros consistently

Replace %{buildroot} with $RPM_BUILD_ROOT (or the reverse).

6.) Launch server with server icon, and client with client icon

You seem to have reversed the contents of the .desktop files.
Comment 4 Lubomir Rintel 2008-10-03 06:15:51 EDT
Ping. Is there any progress on this? Do you need any help with this?
Comment 5 Simon 2008-10-16 11:47:11 EDT
pong

was on vacation.

now i'm back and fighting with bam :-(
Comment 6 Simon 2008-10-17 10:16:16 EDT
i spoke with upstream

teeworlds 0.5 will be released in a few weeks

bam is up to now unversioned. with teeworlds 0.5 bam will be versioned.

perhaps we should really start with 0.5?

what do you mean?
Comment 7 Lubomir Rintel 2008-10-27 05:14:02 EDT
(In reply to comment #6)
> i spoke with upstream
> 
> teeworlds 0.5 will be released in a few weeks
> 
> bam is up to now unversioned. with teeworlds 0.5 bam will be versioned.
> 
> perhaps we should really start with 0.5?
> 
> what do you mean?

We have communicated this via IRC with result "Package anything that works" :)

Any progress here?
Comment 8 Simon 2008-10-29 13:17:59 EDT
not really :-/

please don´t be angry with me. I try my best, but it´s not very easy.
I hope I´m not on the wrong track..
Comment 9 Lubomir Rintel 2008-10-29 13:52:10 EDT
(In reply to comment #8)
> not really :-/
> 
> please don´t be angry with me. I try my best, but it´s not very easy.
> I hope I´m not on the wrong track..

No problem. Just a reminder -- any time you need help feel free to ask. And posting work-in-progress (even unfinished, unrunnable or uncompilable) packages can get you early reviews :)
Comment 10 Simon 2008-11-07 03:57:44 EST
okay, we finished bam, but it is not builded yet. i will build it today or tomorrow.

would you patch out the internal libs/applications/dependencies?

i can´t do that, because
1.) i can´t patch them out or/and
2.) i patch it out and the build or the application run failed, because the internals are modified or not compatible to the fedora supplied.

perhaps you can fix it.
Comment 11 Lubomir Rintel 2008-12-31 13:03:46 EST
(In reply to comment #10)
> would you patch out the internal libs/applications/dependencies?
> 
> i can´t do that, because
> 1.) i can´t patch them out or/and
> 2.) i patch it out and the build or the application run failed, because the
> internals are modified or not compatible to the fedora supplied.

So, in fact they did no local modifications (well, some windows-specific fixes to glfw, but they are of no interest to us).

Please look into these: http://v3.sk/~lkundrak/teeworlds/

I added a patch for the external dependencies (it may have broken sound, but I can not verify that now :), and a line that patches the bamfile into using our compiler flags.

I also made packages for pnglite and glfw. Unfortunately I had to make up sonames for both -- it can't be done right unless upstream does that. I'm wondering if you could take at least one of the two packages and submit them for review and maintain?
Comment 12 Simon 2008-12-31 17:27:03 EST
yeah, that rocks

glfw is not relevant, its already in rawhide, but there are still some problems with this package and the maintainer won't include it in f-10. please don't ask me why!

the pnglite is the one that is missing.
please open a review for pnglite
Comment 14 Lubomir Rintel 2009-01-01 18:25:42 EST
Well done,

APPROVED

Just a few notes, none of them blockers and can be addressed on import:
1.) please drop the first line from %description -- it duplicates Summary
2.) Do -data really have to depend on %{name}? Probably they are usable in server-only installations?
Comment 15 Simon 2009-01-01 19:17:53 EST
(In reply to comment #14)
> APPROVED

Thank you

> 1.) please drop the first line from %description -- it duplicates Summary
i removed it

> 2.) Do -data really have to depend on %{name}? Probably they are usable in
> server-only installations?
ooops :-( I removed it

SPEC: http://cassmodiah.fedorapeople.org/teeworlds-0.4.3/teeworlds.spec

SRPM: http://cassmodiah.fedorapeople.org/teeworlds-0.4.3/teeworlds-0.4.3-5.fc10.src.rpm





New Package CVS Request
=======================
Package Name: teeworlds
Short Description: A portable OpenGL framework
Owners: cassmodiah, lkundrak
Branches: F-10 F-9
InitialCC:
Comment 16 Lubomir Rintel 2009-01-01 19:34:01 EST
New Package CVS Request
=======================
Package Name: teeworlds
Short Description: Online multi-player platform 2D shooter
Owners: cassmodiah, lkundrak
Branches: F-10 F-9

(Just correcting the short description)
Comment 17 Kevin Fenzi 2009-01-04 15:09:37 EST
cvs done.
Comment 18 Lubomir Rintel 2009-01-08 10:13:49 EST
Imported; build pending.

Note You need to log in before you can comment on or make changes to this bug.